/Attributes
Use the /Attributes endpoint to tell us the data points in your attributes package you want to retrieve.
/Attributes endpoint to tell us the data points in your attributes package you want to retrieve.
Request Parameters
| NAME | TYPE | DESCRIPTION |
|---|---|---|
| customerId (mandatory) | string | GUID representing your customer ID (provided by Flinks). |
| loginId (mandatory) | string | GUID representing end user’s login ID. You get this value after a successful Authorize request. |
| requestId (mandatory) | string | GUID representing an authorized request to the API. You get this value after a successful Authorize request. |
| Attributes (mandatory) | object | Lists of desired Attributes broken-down by Attribute level (card is currently the only supported attribute level). |
| Filters | object | Filters to apply to transactions for which attributes will be calculated. Supported values: accountCategory: List of account categories (Operations is currently the only supported value). |
| AccountFilter | object | Filters to apply to transactions for which attributes will be calculated, differs from the general Filter parameter above, as this targets specific accounts. Supported values: AccountID: List of accountID’s to be used in the Attributes calculation (AccountID is taken from the GetAccountsDetail response). Multiple accountID’s can be used. |
| AttributesDetail | object | Acts the same as the Attributes parameter, but can be used to return underlying transactions from the Attributes calculation. Include lists of desired Attributes (must also be present at the card level above). Supported values: AttributesDetail: List of Attributes that underlying transactions need to be returned from. |
| limitDays | object | Optional Parameter to include in the header of any Attributes request that will limit the amount of days of transactions used to calculate all Attributes to the days option passed in this parameter. Supports between 1 and 365 days. Supported values: limitDays: Any integer value from 1-365 that defines the amount of days of transactions used in the Attributes calculation (Supported on any GET or POST request to Attributes). |
Response Fields
| NAME | TYPE | DESCRIPTION |
|---|---|---|
| Card | object | Object containing an id field (end user’s LoginId) and all the requested attributes (name: value) |
| Login | object | Object representing some end user’s technical information such as the LoginId. See Authorize endpoint documentation for this object details. |
| RequestId | string | GUID representing an authorized request to the API. You get this value after a successful Authorize request. |
| AttributeDetails (Optional) | object | Object containing the fields TransactionId, AccountId, Date, Description, Debit, Credit per Attribute. |
Note on Custom Attributes
If you are utilizing theAttributes Builder
feature to create custom Attributes within the Client Dashboard, then you are
able to include your created Attribute Names under the card object
alongside any other pre-created Attributes.Headers
Content type of the request.
application/json "application/json"
Path Parameters
Unique GUID provided by Flinks that grants you access to the environment specified in the instance field.
GUID representing end user's login ID.
GUID representing an authorized request to the API.
Query Parameters
(Optional) Includes an integer from 1 to 365 that will limit the range of transactions that will be used to calculate Attributes.
Body
Response
Result
Date of the most recent transaction used in the calculation (MM/DD/YYYY).
GUID identifying the attributes calculation process.
HTTP status code of the response.
Object containing an Id field (end user's LoginId) and all the requested attributes (name: value), plus optional AttributesDetail.
GUID identifying the request process.
Object representing end user's technical information.
GUID representing an authorized request to the API.